### Function

# Dex async_initable_init

since: 1.0

#### Declaration [src]

    DexFuture*
    dex_async_initable_init (
      GAsyncInitable* initable,
      int priority
    )

#### Description [src]

A helper for g_async_initable_init_async().

Available since: 1.0

#### Parameters

`initable`

  Type: `GAsyncInitable`

  A `GAsyncInitable`.

  The data is owned by the caller of the function.

`priority`

  Type: `int`

  The priority for the initialization, typically 0.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to the `initable` instance or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.